com.amazonaws.services.lambda.model

## Class ListFunctionsResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.lambda.model.ListFunctionsResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class ListFunctionsResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Contains a list of AWS Lambda function configurations (see FunctionConfiguration.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ListFunctionsResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListFunctionsResult` `clone()`
`boolean` `equals(Object obj)`
`List<FunctionConfiguration>` `getFunctions()` A list of Lambda functions.
`String` `getNextMarker()` A string, present if there are more functions.
`int` `hashCode()`
`void` `setFunctions(Collection<FunctionConfiguration> functions)` A list of Lambda functions.
`void` `setNextMarker(String nextMarker)` A string, present if there are more functions.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListFunctionsResult` `withFunctions(Collection<FunctionConfiguration> functions)` A list of Lambda functions.
`ListFunctionsResult` `withFunctions(FunctionConfiguration... functions)` A list of Lambda functions.
`ListFunctionsResult` `withNextMarker(String nextMarker)` A string, present if there are more functions.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListFunctionsResult

    public ListFunctionsResult()

### Method Detail

#### setNextMarker

    public void setNextMarker(String nextMarker)

A string, present if there are more functions.

Parameters:
  `nextMarker` - A string, present if there are more functions.

#### getNextMarker

    public String getNextMarker()

A string, present if there are more functions.

Returns:
  A string, present if there are more functions.

#### withNextMarker

    public ListFunctionsResult withNextMarker(String nextMarker)

A string, present if there are more functions.

Parameters:
  `nextMarker` - A string, present if there are more functions.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getFunctions

    public List<FunctionConfiguration> getFunctions()

A list of Lambda functions.

Returns:
  A list of Lambda functions.

#### setFunctions

    public void setFunctions(Collection<FunctionConfiguration> functions)

A list of Lambda functions.

Parameters:
  `functions` - A list of Lambda functions.

#### withFunctions

    public ListFunctionsResult withFunctions(FunctionConfiguration... functions)

A list of Lambda functions.

NOTE: This method appends the values to the existing list (if any). Use `setFunctions(java.util.Collection)` or `withFunctions(java.util.Collection)` if you want to override the existing values.

Parameters:
  `functions` - A list of Lambda functions.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withFunctions

    public ListFunctionsResult withFunctions(Collection<FunctionConfiguration> functions)

A list of Lambda functions.

Parameters:
  `functions` - A list of Lambda functions.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListFunctionsResult clone()

Overrides:
  `clone` in class `Object`